企鹅加能:Linux下如何安装佳能Canon打印机驱动

一直以来,对 Linux 支持最好的打印机是惠普 HP,其次是兄弟、三星等品牌,日系品牌打印机对 Linux 支持较差,比如佳能、富士。

最近,站长薄荷君办公室配置了一台佳能 Canon image CLASS LBP6230dn 激光打印机,这台打印机支持有线网络、自动双面打印,打印速度和清晰度也不错,作为中小型企业办公和家用是绰绰有余了。不过,作为资深 Linux 用户,薄荷君对佳能的打印机能否良好支持 Linux 并没有什么期待。

果不其然,把这台佳能 LBP6230dn 激光打印机连接电脑(POP OS 22.04),系统自动添加打印机,并且识别为 LBP6000 系列。但是实际打印却没有任何反应,说明系统自带的开源打印机驱动无法驱动这款 LBP6230dn 激光打印机。

在 LinuxMint 论坛搜索,发现了解决方案。原来,随着 Linux 用户数量的增长,佳能也已经推出了自家的 Linux 驱动,名称就是 UFRII。
目前新版的 UFRII 驱动下载地址:https://asia.canon/en/support/0100595001

下载解压 UFRII 驱动,然后在终端中运行安装脚本,根据提示,按 2 次 Y 确定即可,非常简单。
sudo ./install.sh

再次联接 LBP6230dn 激光打印机,系统会自动添加并正确识别打印机型号。打印测试页看看是否正常。

打印完全正常。

再测试 LBP6230dn 激光打印机在 Linux 下的自动双面打印,非常棒,打印速度快,而且不需要任何额外的设置。

小结:在Linux 下驱动佳能打印机就用 UFRII 驱动,而且一次安装 UFRII 驱动,可以支持多数常见的佳能打印机(类似于惠普的HPLIP驱动),而且打印速度、清晰度、打印机功能都可以完美实现,与 Windows 下没有差异。btw,薄荷君 2012 年决定实行 Linux Only(只用 Linux 单系统)时,就曾多次阐述并坚持践行一个理念:我们是 Linux 用户,如果我们都不坚持使用 Linux,稍有不便就转到 Windows 去了,那么嘴里天天喊着 Linux 需要更多用户,从何而来呢?现实就是,只有 Linuxers 以身作则,坚持使用 Linux,遇到问题也不轻易换系统,而是在 Linux 中解决问题、增加经验,如此一来,才能逐渐增加 Linux 用户;用户增加后,软硬件厂商才能重视、支持 Linux,进而又促进 Linux 用户的增加,形成良性循环!

作者: 胡久辉律师专注计算机网络犯罪辩护的法律界程序员 15873118625

本文链接: 企鹅加能:Linux下如何安装佳能Canon打印机驱动